Package org.springframework.security.web.server.authentication

# Class DelegatingServerAuthenticationSuccessHandler

java.lang.Object
org.springframework.security.web.server.authentication.DelegatingServerAuthenticationSuccessHandler

All Implemented Interfaces:
  `ServerAuthenticationSuccessHandler`

public class DelegatingServerAuthenticationSuccessHandler extends Object implements ServerAuthenticationSuccessHandler
Delegates to a collection of `ServerAuthenticationSuccessHandler` implementations.

Since:
  5.1

## Constructor Summary

Constructors
Constructor
Description
`DelegatingServerAuthenticationSuccessHandler(List<ServerAuthenticationSuccessHandler> delegates)`
Creates a new instance with the provided list of delegates
`DelegatingServerAuthenticationSuccessHandler(ServerAuthenticationSuccessHandler... delegates)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`onAuthenticationSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)`
Invoked when the application authenticates successfully

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingServerAuthenticationSuccessHandler

public DelegatingServerAuthenticationSuccessHandler(ServerAuthenticationSuccessHandler... delegates)

### DelegatingServerAuthenticationSuccessHandler

public DelegatingServerAuthenticationSuccessHandler(List<ServerAuthenticationSuccessHandler> delegates)
Creates a new instance with the provided list of delegates

Parameters:
  `delegates` - the `List` of `ServerAuthenticationSuccessHandler`
Since:
  6.3

## Method Details

### onAuthenticationSuccess

public reactor.core.publisher.Mono<Void> onAuthenticationSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)
Description copied from interface: `ServerAuthenticationSuccessHandler`
Invoked when the application authenticates successfully

Specified by:
  `onAuthenticationSuccess` in interface `ServerAuthenticationSuccessHandler`
Parameters:
  `exchange` - the exchange
  `authentication` - the `Authentication`
Returns:
  a completion notification (success or error)